function sodaSspSetStatus(varargin)

if nargin==1
    statusStr = varargin{1};    
    statusFile = fullfile(pwd,'status.txt');
elseif nargin==2
    iWorker = varargin{1};
    statusStr = varargin{2};    
    statusFile = fullfile(pwd,['worker',sprintf('%03d',iWorker)],'status.txt');    
else
end

fid = fopen(statusFile,'wt');
fprintf(fid,'%1c',statusStr);
fclose(fid);



